Package org.silverpeas.components.silvercrawler.statistic

## Class HistoryDAO

- java.lang.Object
- - org.silverpeas.components.silvercrawler.statistic.HistoryDAO

-     @Repository
      public class HistoryDAO
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HistoryDAO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Connection con, String tableName, String userId, String path, String componentId, String objectType)` |
    `void` | `deleteHistoryByObject​(Connection con, String tableName, String path, String componentId)` |
    `Collection<HistoryDetail>` | `getHistoryDetailByObject​(Connection con, String tableName, String path, String componentId)` |
    `Collection<HistoryDetail>` | `getHistoryDetailByObjectAndUser​(Connection con, String tableName, String path, String userId, String componentId)` |
    `Collection<HistoryDetail>` | `getHistoryDetails​(ResultSet rs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryDAO

          public HistoryDAO()

  - ### Method Detail

    - #### getHistoryDetails

          public Collection<HistoryDetail> getHistoryDetails​(ResultSet rs)
                                                      throws SQLException

      Throws:
        `SQLException`

    - #### add

          public void add​(Connection con,
                          String tableName,
                          String userId,
                          String path,
                          String componentId,
                          String objectType)
                   throws SQLException

      Throws:
        `SQLException`

    - #### getHistoryDetailByObject

          public Collection<HistoryDetail> getHistoryDetailByObject​(Connection con,
                                                                    String tableName,
                                                                    String path,
                                                                    String componentId)
                                                             throws SQLException

      Throws:
        `SQLException`

    - #### getHistoryDetailByObjectAndUser

          public Collection<HistoryDetail> getHistoryDetailByObjectAndUser​(Connection con,
                                                                           String tableName,
                                                                           String path,
                                                                           String userId,
                                                                           String componentId)
                                                                    throws SQLException

      Throws:
        `SQLException`

    - #### deleteHistoryByObject

          public void deleteHistoryByObject​(Connection con,
                                            String tableName,
                                            String path,
                                            String componentId)
                                     throws SQLException

      Throws:
        `SQLException`